#include "histogramdialog.h"

HistogramDialog::HistogramDialog(QWidget *parent)
    : QDialog(parent)
{
	ui.setupUi(this);
	connect(this,SIGNAL(notifyBufferChange(G12Buffer *)), ui.widget, SLOT(notifyBufferChange(G12Buffer *)));
}

void HistogramDialog::notifyBufferChangeSlot(G12Buffer *buf)
{
	if (buf != NULL)
		emit notifyBufferChange(buf);
}


HistogramDialog::~HistogramDialog()
{

}
